Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029509
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-04-07 13:052015-05-07 22:16
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision2dd8132f869c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029509: Process Price Difference Adjustment is not working properly

DescriptionProcess Price Difference Adjustment is not working properly
Steps To ReproduceAs group admin role,
  Go to Prferences window,
    create a new preference: Enable automatic Price Difference Corrections
    Value: Y
    Organization: *
Log out and Log in.
 Go to Process Price Difference Adjustment window
   select Organization: EspaƱa
   Movement date: 01/04/2014
   Product: Agua Sin Gas 1L
 Click on Done button.

The following message appears: 12 transactions updated.

If you navigate to Cost Adjustment winudow, you realise that there is not any adjustment registered.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0076646)
hgbot (developer)
2015-04-21 11:32

Repository: erp/devel/pi
Changeset: 2dd8132f869c1d5d214e1dc5a2c941f8af2943ed
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Apr 21 11:16:53 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2dd8132f869c1d5d214e1dc5a2c941f8af2943ed [^]

Fixes Issue 29509:Process Price Difference Adjustment is not working properly.

Counter of the updated transaction is calculated based on Cost Adjustment
creation and not on the basis of updating
PriceDifferenceAdjustment flag = Yes

---
M src/org/openbravo/costing/PriceDifferenceByDateProcess.java
M src/org/openbravo/costing/PriceDifferenceProcess.java
---
(0076647)
umartirena (developer)
2015-04-21 11:34

Code Review + Testing OK
(0077138)
hudsonbot (developer)
2015-05-07 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-07 13:05 VictorVillar New Issue
2015-04-07 13:05 VictorVillar Assigned To => Sandrahuguet
2015-04-07 13:05 VictorVillar Modules => Core
2015-04-07 13:05 VictorVillar Triggers an Emergency Pack => No
2015-04-07 13:06 VictorVillar Issue Monitored: networkb
2015-04-09 11:42 AtulOpenbravo Assigned To Sandrahuguet => AtulOpenbravo
2015-04-09 11:42 AtulOpenbravo Status new => scheduled
2015-04-21 11:32 hgbot Checkin
2015-04-21 11:32 hgbot Note Added: 0076646
2015-04-21 11:32 hgbot Status scheduled => resolved
2015-04-21 11:32 hgbot Resolution open => fixed
2015-04-21 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2dd8132f869c1d5d214e1dc5a2c941f8af2943ed [^]
2015-04-21 11:34 umartirena Review Assigned To => umartirena
2015-04-21 11:34 umartirena Note Added: 0076647
2015-04-21 11:34 umartirena Status resolved => closed
2015-04-21 11:34 umartirena Fixed in Version => pi
2015-05-07 22:16 hudsonbot Checkin
2015-05-07 22:16 hudsonbot Note Added: 0077138


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker